# Reusing Existing Vocabularies
A set of well-known vocabularies has evolved in the Semantic Web community.
The set of established vocabularies we reuse are listed below, in the format of:

Name: Description. `namespace` [URI](#)

1. OWL2: Web Ontology Language Schema 2. `owl` http://www.w3.org/2002/07/owl#
2. RDF
   - Resource Description Framework Concepts Vocabulary. `rdf` http://www.w3.org/1999/02/22-rdf-syntax-ns#
   - RDF Schema vocabulary. `rdfs` http://www.w3.org/2000/01/rdf-schema#
3. XML Schema Definition: Data types for elements and attributes. `xsd` http://www.w3.org/2001/XMLSchema#
4. DCMI Metadata Terms: Defines general metadata attributes. `dcterms` http://purl.org/dc/terms/
5. VANN: Vocabulary for annotating descriptions of vocabularies with examples and usage notes. `vann` http://purl.org/vocab/vann/
6. Friend of a Friend: People and relationship. `foaf` http://xmlns.com/foaf/0.1/
7. Creative Commons: License terms. `cc` http://creativecommons.org/ns#
8. Geo Names: Geographic places. `gn` http://www.geonames.org/ontology#
9. Schema.org: Vocabulary for common concepts, i.e. TypeAndQuantityNode, GeoCoordinates, e.t.c. `schema` https://schema.org/
10. Good Relations: Product, price and company data. `gr` http://purl.org/goodrelations/v1#
11. QUDT
    -  Units and measurements schema. `qudt` http://qudt.org/schema/qudt#
    -  Unit vocabulary. `unit` http://qudt.org/vocab/unit#
12. Semantic Sensor Network
    -  SSN is an ontology for describing sensors and their observations, the studied features of interest, the samples used to do so, and the observed properties. `ssn`  http://www.w3.org/ns/ssn/
    -  System capabilities terms of SSN ontology. `ssn-system` http://www.w3.org/ns/ssn/systems/
    -  Sample Observation and Actuator. `sosa` http://www.w3.org/ns/sosa/

## Other Vocabularies Considered
We have also considered a number of other vocabularies, but decided they are not suitable for our case:
1. [OWL-S](https://www.w3.org/Submission/OWL-S/): It is more useful when defining the input, output and interactions between web services, but CoCoOn is not modeling those, as the purpose is not to execute services, but to compare their price specifications.
2. [Unified Code for Units of Measure (UCUM)](http://unitsofmeasure.org/ucum.html) and [Custom Datatypes (CDT)](https://ci.mines-stetienne.fr/lindt/v2/custom_datatypes.html): The ontology does not include the units needed for our use case, see [documentation on Unit](example/README.md#units-of-measure).
